import '@govbr-ds/core/dist/components/modal/modal.min.css';
import '@govbr-ds/core/dist/components/scrim/scrim.min.css';
import React from 'react';
import IMtProps from '../IMtProps';
export interface ModalProps extends React.HTMLAttributes<HTMLDivElement>, IMtProps {
    /** Título da Modal */
    title?: string;
    /** Se mostra ou não o botão de fechar */
    showCloseButton?: boolean;
    /** Se a modal é envolvida com um scrim. */
    useScrim?: boolean;
    /** Se a modal está aberta. */
    modalOpened?: boolean;
    /** Evento a ser executado ao clicar no botão de fechar */
    onCloseButtonClick?: ((event: React.MouseEvent<HTMLButtonElement, MouseEvent>) => void) | undefined;
}
declare const _default: React.ForwardRefExoticComponent<ModalProps & React.RefAttributes<HTMLDivElement>> & {
    Body: React.ForwardRefExoticComponent<import("./ModalBody/ModalBody").ModalBodyProps & React.RefAttributes<HTMLDivElement>>;
    Footer: React.ForwardRefExoticComponent<import("./ModalFooter/ModalFooter").ModalFooterProps & React.RefAttributes<HTMLDivElement>>;
};
export default _default;
